var _jsxFileName='src/ImmutableListView/__tests__/ImmutableListView.test.js';var _react=require('react');var _react2=_interopRequireDefault(_react);var _reactNative=require('react-native');var _reactTestRenderer=require('react-test-renderer');var _reactTestRenderer2=_interopRequireDefault(_reactTestRenderer);var _ImmutableListView=require('../ImmutableListView');var _ImmutableListView2=_interopRequireDefault(_ImmutableListView);var _testUtils=require('../../test-utils');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}describe('ImmutableListView',function(){it('renders with empty data',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.EMPTY_DATA);});it('renders basic List',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.LIST_DATA);});it('renders nested List',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.LIST_DATA_NESTED);});it('renders Map: List rows, without section headers',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.MAP_DATA_LIST_ROWS);});it('renders Map: List rows, with section headers',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.MAP_DATA_LIST_ROWS,true);});it('renders Map: Map rows, without section headers',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.MAP_DATA_MAP_ROWS);});it('renders Map: Map rows, with section headers',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.MAP_DATA_MAP_ROWS,true);});it('renders basic Set',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.SET_DATA);});it('renders basic Range',function(){_testUtils.expectors.expectToMatchSnapshotWithData(_testUtils.data.RANGE_DATA);});});describe('ImmutableListView with delayed rendering',function(){it('renders basic List during interactions',function(){_reactNative.InteractionManager.runAfterInteractions=function(){};var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.LIST_DATA,rowsDuringInteraction:1,renderRow:_testUtils.renderers.renderRow,__source:{fileName:_jsxFileName,lineNumber:53}})).toJSON();expect(tree).toMatchSnapshot();});it('renders basic List after interactions',function(){_reactNative.InteractionManager.runAfterInteractions=function(callback){return callback();};var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.LIST_DATA,rowsDuringInteraction:1,renderRow:_testUtils.renderers.renderRow,__source:{fileName:_jsxFileName,lineNumber:67}})).toJSON();expect(tree).toMatchSnapshot();});});describe('ImmutableListView with renderEmpty',function(){it('renders normally when there are some items',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.LIST_DATA,renderRow:_testUtils.renderers.renderRow,renderEmpty:function renderEmpty(){return _testUtils.renderers.renderRow('No items');},__source:{fileName:_jsxFileName,lineNumber:80}}));expect(tree.toJSON()).toMatchSnapshot();});it('renders empty with a function',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmpty:function renderEmpty(){return _testUtils.renderers.renderRow('No items');},__source:{fileName:_jsxFileName,lineNumber:91}}));expect(tree.toJSON()).toMatchSnapshot();});it('renders empty with a string',function(){var color='red';var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmpty:'No items',contentContainerStyle:{color:color},__source:{fileName:_jsxFileName,lineNumber:104}}));expect(tree.toJSON()).toMatchSnapshot();});it('doesn\'t render empty with null',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmpty:null,renderEmptyInList:null,__source:{fileName:_jsxFileName,lineNumber:116}}));expect(tree.toJSON()).toMatchSnapshot();});});describe('ImmutableListView with renderEmptyInList',function(){it('renders normally when there are some items',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.LIST_DATA,renderRow:_testUtils.renderers.renderRow,renderEmptyInList:function renderEmptyInList(){return _testUtils.renderers.renderRow('No items');},__source:{fileName:_jsxFileName,lineNumber:130}}));expect(tree.toJSON()).toMatchSnapshot();});it('renders empty with a function',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmptyInList:function renderEmptyInList(){return _testUtils.renderers.renderRow('No items');},__source:{fileName:_jsxFileName,lineNumber:141}}));expect(tree.toJSON()).toMatchSnapshot();});it('renders empty with a string',function(){var color='red';var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmptyInList:'No items',contentContainerStyle:{color:color},__source:{fileName:_jsxFileName,lineNumber:154}}));expect(tree.toJSON()).toMatchSnapshot();});it('doesn\'t render empty with null',function(){var tree=_reactTestRenderer2.default.create(_react2.default.createElement(_ImmutableListView2.default,{immutableData:_testUtils.data.EMPTY_DATA,renderRow:_testUtils.renderers.renderRow,renderEmpty:null,renderEmptyInList:null,__source:{fileName:_jsxFileName,lineNumber:166}}));expect(tree.toJSON()).toMatchSnapshot();});});